/*

// File:    Panning.dm
// Library: Xirre.Panning
// Author:  Xirre

Example of use:

mob/Login()
	src.loc = locate(10,10,1)
	src.PanTo(locate(50, 50, 1))
	spawn(50)
		src.PanTo() //Ends the panning and sends the eye back to the mob
					//(you could also pan back to the mob with a greater speed or fade out for a nice blend)
	..()


Description: This contains the script that allows the user to pan across the map
			to a desired location.
*/
mob
	var
		obj/object

	proc
		PanTo(var/obj/_dest, var/_speed = src.step_size / 2)
			if(!_dest)
				if(src.object)
					walk(src.object, 0)
					del(src.object)
					src.object = null
					src.client.eye = src.client.mob
					src.client.perspective = MOB_PERSPECTIVE
				//src.frozen = 0
				return

			if(!src.object)
				src.object = new
				src.object.loc = src.loc
				src.client.eye = src.object
				src.client.perspective = EYE_PERSPECTIVE
				//src.frozen = 1

			walk_towards(src.object, _dest, 0, _speed)